cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/purchase_orders/PURCHASE_ORDER_ID/cancel" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'from exsited import build_client
client = build_client()
response = client.purchase_orders.cancel_purchase_order("PURCHASE_ORDER_ID", {})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.cancelPurchaseOrder('PURCHASE_ORDER_ID', {});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->cancelPurchaseOrder('PURCHASE_ORDER_ID', '{}');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderRead> response = client.purchaseOrders().cancelPurchaseOrder(
"PURCHASE_ORDER_ID",
Map.of());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.CancelPurchaseOrderAsync(
"PURCHASE_ORDER_ID",
new Dictionary<string, object?>());
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.cancelPurchaseOrder(
'PURCHASE_ORDER_ID',
{},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().CancelPurchaseOrder(context.Background(), "PURCHASE_ORDER_ID", map[string]any{}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_order": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"activity_logs": [
"<unknown>"
],
"bill_total": "<string>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"due_date": "<string>",
"due_total": "<string>",
"expected_completion_date": "<string>",
"href": "<string>",
"id": "<string>",
"is_price_tax_inclusive": true,
"issue_date": "<string>",
"kpis": {
"estimated_total": "<string>",
"issue_date": "<unknown>",
"last_cancelled_on": "<unknown>",
"last_changed_on": "<unknown>",
"last_deleted_on": "<unknown>",
"last_invoice_issue_date": "<unknown>",
"last_invoice_total": "<string>",
"last_reactivated_on": "<unknown>",
"object": "<string>",
"total_expense": "<string>",
"total_outstanding": "<string>",
"total_overdue": "<string>",
"total_purchase_invoice": 123
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"operational_status": "<string>",
"origin": "<string>",
"paid_amount": "<string>",
"purchase_order_note": "<string>",
"sale_order": "<unknown>",
"status": "<string>",
"subtotal": "<string>",
"supplier_invoice_id": "<string>",
"tax_total": "<string>",
"total": "<string>",
"version": 123,
"warehouse": "<unknown>"
}
}Purchase orders
Cancel a purchase order
Cancels a purchase order and returns it under purchase_order.
POST
/
purchase_orders
/
{purchase_order_id}
/
cancel
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/purchase_orders/PURCHASE_ORDER_ID/cancel" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'from exsited import build_client
client = build_client()
response = client.purchase_orders.cancel_purchase_order("PURCHASE_ORDER_ID", {})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseOrders.cancelPurchaseOrder('PURCHASE_ORDER_ID', {});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseOrders->cancelPurchaseOrder('PURCHASE_ORDER_ID', '{}');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_orders.purchase_orders_dto.PurchaseOrdersDto.PurchaseOrderRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseOrderRead> response = client.purchaseOrders().cancelPurchaseOrder(
"PURCHASE_ORDER_ID",
Map.of());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseOrders.CancelPurchaseOrderAsync(
"PURCHASE_ORDER_ID",
new Dictionary<string, object?>());
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseOrders.cancelPurchaseOrder(
'PURCHASE_ORDER_ID',
{},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseOrders().CancelPurchaseOrder(context.Background(), "PURCHASE_ORDER_ID", map[string]any{}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_order": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"activity_logs": [
"<unknown>"
],
"bill_total": "<string>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"due_date": "<string>",
"due_total": "<string>",
"expected_completion_date": "<string>",
"href": "<string>",
"id": "<string>",
"is_price_tax_inclusive": true,
"issue_date": "<string>",
"kpis": {
"estimated_total": "<string>",
"issue_date": "<unknown>",
"last_cancelled_on": "<unknown>",
"last_changed_on": "<unknown>",
"last_deleted_on": "<unknown>",
"last_invoice_issue_date": "<unknown>",
"last_invoice_total": "<string>",
"last_reactivated_on": "<unknown>",
"object": "<string>",
"total_expense": "<string>",
"total_outstanding": "<string>",
"total_overdue": "<string>",
"total_purchase_invoice": 123
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"operational_status": "<string>",
"origin": "<string>",
"paid_amount": "<string>",
"purchase_order_note": "<string>",
"sale_order": "<unknown>",
"status": "<string>",
"subtotal": "<string>",
"supplier_invoice_id": "<string>",
"tax_total": "<string>",
"total": "<string>",
"version": 123,
"warehouse": "<unknown>"
}
}Cancels the purchase order, which sets its status to
inactive. Send an empty object as the body. Reactivate it with the reactivate call.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The purchase order's id.
Body
application/json
The body is of type object.
Response
200 - application/json
The cancelled purchase order, under purchase_order.
Show child attributes
Show child attributes